<?php
$args = array(
    "name" => 'Client & Partner Carousel',
    "base" => "cms_client_carousel",
    "class" => "vc-cms-client-carousel",
    "category" => esc_html__('Theme Shortcodes', 'arctecture'),
    "params" => array(

        array(
            'type' => 'cms_template_img',
            'param_name' => 'cms_template',
            "shortcode" => "cms_client_carousel",
            "heading" => esc_html__("Shortcode Template", "arctecture"),
            "admin_label" => true,
            "group" => esc_html__("Template", "arctecture"),
        ),
        /* Extra */
        array(
            "type" => "textfield",
            "heading" => esc_html__( "Extra class name", "arctecture" ),
            "param_name" => "el_class",
            "description" => esc_html__( "Style particular content element differently - add a class name and refer to it in Custom CSS.", "arctecture" ),
            "group"            => esc_html__("Template", "arctecture")
        ),
        array(
            'type' => 'animation_style',
            'heading' => esc_html__( 'Animation Style', 'arctecture' ),
            'param_name' => 'animation',
            'description' => esc_html__( 'Choose your animation style', 'arctecture' ),
            'admin_label' => false,
            'weight' => 0,
            "group" => esc_html__("Template", 'arctecture'),
        ),
        
        array(
            'type' => 'param_group',
            'heading' => esc_html__( 'Clients', 'arctecture' ),
            'param_name' => 'client_items',
            'value' => '',
            "group"      => esc_html__("Source Settings", "arctecture"),
            'params' => array(
                array(
                    "type" => "textfield",
                    "heading" => __ ( 'Title', 'arctecture' ),
                    "param_name" => "client_title",
                    "value" => '',
                    "admin_label" => true,
                ),
                array(
                    'type' => 'attach_image',
                    'heading' => esc_html__( 'Image', 'arctecture' ),
                    'param_name' => 'client_image',
                    'value' => '',
                    'description' => esc_html__( 'Select image from media library.', 'arctecture' ),
                ),
                array(
                    "type" => "vc_link",
                    "class" => "",
                    "heading" => esc_html__("Link", 'arctecture'),
                    "param_name" => "client_link",
                    "value" => '',
                ),
            ),
        ),
        array(
            "type" => "colorpicker",
            "heading" => esc_html__("Background Color Item", 'arctecture'),
            "param_name" => "bg_item",
            "value" => "",
            "group" => esc_html__("Source Settings", 'arctecture')
        ),
        array(    
            'type' => 'dropdown',
            'heading' => esc_html__("Items Row", 'arctecture'),
            'param_name' => 'row',
            'value' => array(
                '1 Row' => '1',       
                '2 Row' => '2',      
            ),
            "group" => esc_html__("Source Settings", 'arctecture'),
        ),

    ));

$args = arctecture_add_vc_extra_param($args);
vc_map($args);

class WPBakeryShortCode_cms_client_carousel extends CmsShortCode
{

    protected function content($atts, $content = null)
    {
        return parent::content($atts, $content);
    }
}

?>