<?php
vc_map(array(
    'name' => 'Info Contact',
    'base' => 'cms_info',
    'icon' => 'cs_icon_for_vc',
    'category' => esc_html__('Theme Shortcodes', 'arctecture'),
    'params' => array(
        /* Textbox Template */
        array(
            'type' => 'cms_template_img',
            'param_name' => 'cms_template',
            "shortcode" => "cms_info",
            "heading" => esc_html__("Shortcode Template", 'arctecture'),
            "admin_label" => true,
            "group" => esc_html__("Template", 'arctecture'),
        ),

        array(
            'type' => 'textfield',
            'heading' =>esc_html__('Label', 'arctecture'),
            'param_name' => 'label',
            'admin_label' => true,
        ), 
        array(
            "type" => "colorpicker",
            "heading" => esc_html__("Label Color", 'arctecture'),
            "param_name" => "label_color",
            "value" => "",
        ),
        array(
            "type" => "textfield",
            "heading" =>esc_html__("Label Size", 'arctecture'),
            "param_name" => "label_size",
            'value' => '',
            "description" => "Enter: ...px, Default 12px",
        ),
        array(
            'type' => 'param_group',
            'heading' => esc_html__( 'Row Info', 'arctecture' ),
            'param_name' => 'cms_row',
            'description' => esc_html__( 'Enter values for list item', 'arctecture' ),
            'value' => '',
            'params' => array(
                array(
                    'type' => 'textfield',
                    'heading' =>esc_html__('Row item', 'arctecture'),
                    'param_name' => 'cms_row_item',
                    'admin_label' => true,
                ), 
            ),
        ),
        array(
            'type' => 'textfield',
            'heading' =>esc_html__('Row Font Size', 'arctecture'),
            'param_name' => 'cms_row_fontsize',
            'value' => '',
            'description' => 'Enter: ...px; Default 12px'
        ),
        array(
            'type' => 'textfield',
            'heading' =>esc_html__('Margin Bottom', 'arctecture'),
            'param_name' => 'cms_row_mb_bottom',
            'value' => '',
            'description' => 'Enter: ...px; Default 12px'
        ),
        array(
            'type' => 'colorpicker',
            'heading' =>esc_html__('List item Color', 'arctecture'),
            'param_name' => 'cms_row_color',
            'value' => '',
        ), 
    )
));

class WPBakeryShortCode_cms_info extends CmsShortCode
{

    protected function content($atts, $content = null)
    {
        return parent::content($atts, $content);
    }
}
?>