<?php
vc_map(array(
    'name' => 'Lists',
    'base' => 'cms_list',
    'icon' => 'cs_icon_for_vc',
    'category' => esc_html__('Theme Shortcodes', 'arctecture'),
    'params' => array(

        array(
            'type' => 'param_group',
            'heading' => esc_html__( 'Lists', 'arctecture' ),
            'param_name' => 'cms_list',
            'description' => esc_html__( 'Enter values for list item', 'arctecture' ),
            'value' => '',
            'params' => array(
                array(
                    'type' => 'textfield',
                    'heading' =>esc_html__('List item', 'arctecture'),
                    'param_name' => 'cms_list_item',
                    'admin_label' => true,
                ), 
            ),
        ),

        array(
            'type' => 'textfield',
            'heading' =>esc_html__('Font Size', 'arctecture'),
            'param_name' => 'cms_list_fontsize',
            'value' => '',
            'description' => 'Enter: ...px;'
        ),
        array(
            'type' => 'textfield',
            'heading' =>esc_html__('Line Height', 'arctecture'),
            'param_name' => 'cms_list_lineheight',
            'value' => '',
            'description' => 'Enter: ...px;'
        ),
        array(
            'type' => 'colorpicker',
            'heading' =>esc_html__('List item Color', 'arctecture'),
            'param_name' => 'cms_list_color',
            'value' => '',
        ),
        array(    
            'type' => 'dropdown',
            'heading' => esc_html__('Style', 'arctecture'),
            'param_name' => 'style',
            'value' => array(
                'Check' => 'check',        
                'Round' => 'round',        
            ),
        ),  
    )
));

class WPBakeryShortCode_cms_list extends CmsShortCode
{

    protected function content($atts, $content = null)
    {
        return parent::content($atts, $content);
    }
}
?>