<?php
vc_map(array(
    'name' => 'Pricing',
    'base' => 'cms_pricing',
    'icon' => 'cs_icon_for_vc',
    'category' => esc_html__('Theme Shortcodes', 'arctecture'),
    'params' => array(
        array(
            'type' => 'cms_template_img',
            'param_name' => 'cms_template',
            'shortcode' => 'cms_pricing',
            'heading' => esc_html__('Shortcode Template', 'arctecture'),
            'admin_label' => true,
            'group' => esc_html__('Template', 'arctecture'),
        ),

        array(
            'type' => 'attach_image',
            'heading' => esc_html__( 'Featured Image', 'arctecture' ),
            'param_name' => 'pricing_image',
            'value' => '',
            'description' => esc_html__( 'Select image from media library.', 'arctecture' ),
        ),
        /*TItle*/
        array(
            "type" => "textarea",
            "heading" => esc_html__("Title", 'arctecture'),
            "param_name" => "pricing_title",
            "description" => "Enter title.",
        ),
        array(
            'type' => 'textfield',
            'heading' =>esc_html__('Font Size', 'arctecture'),
            'param_name' => 'font_size',
            'value' => '',
            'description' => 'Enter: ...px; Default 18px',
        ),
        array(
            'type' => 'colorpicker',
            'heading' =>esc_html__('Title Color', 'arctecture'),
            'param_name' => 'title_color',
            'value' => '',
            'description' => 'Select Color, Color Default #333333',
        ),
        array(    
            'type' => 'dropdown',
            'heading' => esc_html__("Title Font Weight", 'arctecture'),
            'param_name' => 'title_fontweight',
            'value' => array(
                '300' => '300',
                '400' => '400',
                '500' => '500',
                '600' => '600',
                '700' => '700',
                '800' => '800',
            ),
        ),
        array(    
            'type' => 'dropdown',
            'heading' => esc_html__("Text Transform", 'arctecture'),
            'param_name' => 'title_transform',
            'value' => array(
                'Normal' => 'none',
                'Uppercase' => 'uppercase',
                'Lowercase' => 'lowercase',
                'Capitalize' => 'capitalize',
                'Unset' => 'unset'
            ),
        ),
        /*Row info*/
        array(
            'type' => 'colorpicker',
            'heading' =>esc_html__('Row Color', 'arctecture'),
            'param_name' => 'row_color',
            'value' => '',
            'description' => 'Select Color, Color Default #666666',
        ),
        array(
            'type' => 'colorpicker',
            'heading' =>esc_html__('Row Font-Size', 'arctecture'),
            'param_name' => 'row_size',
            'value' => '',
            'description' => 'Enter: ...px; Default 12px',
        ),
        array(    
            'type' => 'dropdown',
            'heading' => esc_html__("Row Font Weight", 'arctecture'),
            'param_name' => 'row_fontweight',
            'value' => array(
                '300' => '300',
                '400' => '400',
                '500' => '500',
                '600' => '600',
                '700' => '700',
                '800' => '800',
            ),
        ),
        array(
            'type' => 'param_group',
            'heading' => esc_html__( 'Row', 'arctecture' ),
            'param_name' => 'cms_pricing',
            'description' => esc_html__( 'Enter values for list item', 'arctecture' ),
            'value' => '',
            'params' => array(
                array(
                    'type' => 'textfield',
                    'heading' =>esc_html__('Row Info', 'arctecture'),
                    'param_name' => 'pricing_item',
                    'admin_label' => true,
                ),
            ),
        ),
    )
));

class WPBakeryShortCode_cms_pricing extends CmsShortCode
{

    protected function content($atts, $content = null)
    {
        return parent::content($atts, $content);
    }
}
?>