<?php
vc_map(array(
    "name" => 'Space',
    "base" => "cms_space",
    "icon" => "cs_icon_for_vc",
    "category" => esc_html__('Theme Shortcodes', 'arctecture'),
    "params" => array(

        array(
            'type' => 'cms_template_img',
            'param_name' => 'cms_template',
            "shortcode" => "cms_space",
            "heading" => esc_html__("Shortcode Template", 'arctecture'),
            "admin_label" => true,
            "group" => esc_html__("Template", 'arctecture'),
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Space LG Devices", 'arctecture'),
            "param_name" => "space_lg",
            "description" => "Enter number.",
            'dependency' => array(
                'element' => 'cms_template',
                'value' => 'cms_space.php',
            ),
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Space MD Devices", 'arctecture'),
            "param_name" => "space_md",
            "description" => "Enter number.",
            'dependency' => array(
                'element' => 'cms_template',
                'value' => 'cms_space.php',
            ),
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Space SM Devices", 'arctecture'),
            "param_name" => "space_sm",
            "description" => "Enter number.",
            'dependency' => array(
                'element' => 'cms_template',
                'value' => 'cms_space.php',
            ),
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Space XS Devices", 'arctecture'),
            "param_name" => "space_xs",
            "description" => "Enter number.",
            'dependency' => array(
                'element' => 'cms_template',
                'value' => 'cms_space.php',
            ),
        ),
        array(
            "type" => "textfield",
            "heading" =>esc_html__("Margin Top", 'arctecture'),
            "param_name" => "margin_top",
            'value' => '',
            "description" => "Enter Margin Top ...px",
            'dependency' => array(
                "element"=>"cms_template",
                "value"=>array(
                    "cms_space--layout2.php",
                    "cms_space--layout3.php",
                )
            ),
            "group" => esc_html__("Setting", 'arctecture'),
        ),
        array(
            "type" => "textfield",
            "heading" =>esc_html__("Margin Bottom", 'arctecture'),
            "param_name" => "margin_bottom",
            'value' => '',
            "description" => "Enter Margin Bottom ...px",
            'dependency' => array(
                "element"=>"cms_template",
                "value"=>array(
                    "cms_space--layout2.php",
                    "cms_space--layout3.php",
                )
            ),
            "group" => esc_html__("Setting", 'arctecture'),
        ),
        array(
            "type" => "textfield",
            "heading" =>esc_html__("Icon Font-size", 'arctecture'),
            "param_name" => "icon_size",
            'value' => '',
            "description" => "Enter: ...px, Default 30px",
            'dependency' => array(
                "element"=>"cms_template",
                "value"=>array(
                    "cms_space--layout2.php",
                    "cms_space--layout3.php",
                )
            ),
            "group" => esc_html__("Setting", 'arctecture'),
        ),
        array(
            "type" => "textfield",
            "heading" =>esc_html__("Id To Top", 'arctecture'),
            "param_name" => "id_to_top",
            'value' => '',
            "description" => "Enter: Text Id to Top here",
            'dependency' => array(
                "element"=>"cms_template",
                "value"=>array(
                    "cms_space--layout2.php",
                    "cms_space--layout3.php",
                )
            ),
            "group" => esc_html__("Setting", 'arctecture'),
        ),
        array(
            "type" => "textfield",
            "heading" =>esc_html__("Id To Bottom", 'arctecture'),
            "param_name" => "id_to_bottom",
            'value' => '',
            "description" => "Enter: Text Id To Bottom here",
            'dependency' => array(
                "element"=>"cms_template",
                "value"=>array(
                    "cms_space--layout2.php",
                )
            ),
            "group" => esc_html__("Setting", 'arctecture'),
        ),
        array(
            "type" => "colorpicker",
            "heading" => esc_html__("Color Icon", 'arctecture'),
            "param_name" => "icon_color",
            "description" => "Select color for Icon; Default #333333",
            "value" => "",
            'dependency' => array(
                "element"=>"cms_template",
                "value"=>array(
                    "cms_space--layout2.php",
                    "cms_space--layout3.php",
                )
            ),
            "group" => esc_html__("Setting", 'arctecture'),
        ),
        array(
            "type" => "colorpicker",
            "heading" => esc_html__("Border color", 'arctecture'),
            "param_name" => "border_color",
            "description" => "Select color border; Default #999999",
            "value" => "",
            'dependency' => array(
                "element"=>"cms_template",
                "value"=>array(
                    "cms_space--layout2.php",
                )
            ),
            "group" => esc_html__("Setting", 'arctecture'),
        ),
    )
));

class WPBakeryShortCode_cms_space extends CmsShortCode
{

    protected function content($atts, $content = null)
    {
        return parent::content($atts, $content);
    }
}

?>