<?php
extract(shortcode_atts(array(
    'bg_banner_image' => '',
    'bg_overlay' => ''
), $atts));
$uqid = uniqid();

$bg_banner_image_url = '';
if (!empty($bg_banner_image)) {
    $attachment_image = wp_get_attachment_image_src($bg_banner_image, 'full');
    $bg_banner_image_url = $attachment_image[0];
}

?>
<div id="cms-banner-<?php echo esc_attr($uqid);?>" class="cms-banner">
    <?php if(!empty($bg_banner_image_url) ) { ?>
        <div class="cms-banner-feature clearfix">
            <img src="<?php echo esc_url( $bg_banner_image_url ); ?>" alt="<?php echo esc_attr(get_post_meta( $bg_banner_image, '_wp_attachment_image_alt', true )) ?>"/>
            <span <?php if(!empty($bg_overlay)):?> style="background-color: <?php echo esc_attr($bg_overlay);?>" <?php endif;?>></span>
        </div>
    <?php } ?>
</div>