<?php
extract(shortcode_atts(array(                     
     'margin_top'    => '',
     'margin_bottom' => '',
     'icon_color'    => '',
     'border_color'  => '',
     'id_to_top'     => '',
     'id_to_bottom'  => ''
), $atts));
$uqid = uniqid();

$styles_title = array(
    'margin-top'       => $margin_top,
    'margin-bottom'    => $margin_bottom,
    'color'            => $icon_color
);
$title_styles = '';
foreach ($styles_title as $key => $value) {
    if (!empty($value)) {
        $title_styles .= $key . ':' . $value . ';';
    }
}

?>
<div id="cms-space-<?php echo esc_attr($uqid);?>" class="cms-space-layout2">
	<div class="cms-inner-space" <?php echo !empty( $title_styles ) ? 'style="' . esc_attr($title_styles) . '"' : '' ?>>
		<span class="cms-icon-top">
            <a class="change-section" href="<?php echo esc_attr($id_to_top); ?>">
                <i class="fa fa-angle-double-up"></i>
            </a>
		</span>
		<span class="cms-border-center" <?php if(!empty( $border_color )):?> style="border-color: <?php echo esc_attr( $border_color )?>" <?php endif;?>></span>
		<span class="cms-icon-bottom">
            <a class="change-section" href="<?php echo esc_attr($id_to_bottom);?>">
                <i class="fa fa-angle-double-down"></i>
            </a>
		</span>
	</div>
</div>