<?php
extract(shortcode_atts(array(                     
    'space_lg' => '',              
    'space_md' => '',              
    'space_sm' => '',              
    'space_xs' => '',                                  
), $atts));
$uqid = uniqid();

?>
<div id="cms-space-<?php echo esc_attr($uqid);?>">
	<style type="text/css">
		@media screen and (min-width: 1200px) {
			<?php if(!empty($space_lg)) { ?>
				#cms-space-<?php echo esc_attr($uqid);?> .cms-space {
					height: <?php echo esc_attr($space_lg); ?>px;
				}
			<?php } ?>
		}
		<?php if(!empty($space_md)) { ?>
			@media (min-width: 992px) and (max-width: 1200px) {
				#cms-space-<?php echo esc_attr($uqid);?> .cms-space {
					height: <?php echo esc_attr($space_md); ?>px;
				}
			}
		<?php } ?>
		<?php if(!empty($space_sm)) { ?>
			@media (min-width: 768px) and (max-width: 991px) {
				#cms-space-<?php echo esc_attr($uqid);?> .cms-space {
					 height: <?php echo esc_attr($space_sm); ?>px;
				}
			}
		<?php } ?>
		<?php if(!empty($space_xs)) { ?> 
			@media screen and (max-width: 767px) {
				#cms-space-<?php echo esc_attr($uqid);?> .cms-space {
					height: <?php echo esc_attr($space_xs); ?>px;
				}
			}
		<?php } ?>
	</style>
	<div class="cms-space"></div>
</div>