<?php 
extract(shortcode_atts(array( 
    'testimonial_item' => '',
    'title_color' => '',
    'icon_color'  => '',
    'position_color' => '',
    'content_color' => '',  
    'el_class' => '',  
    'animation' => '',  

), $atts));

wp_enqueue_script( 'owl-carousel' );
wp_enqueue_script( 'arctecture-carousel' );
$html_id = cmsHtmlID('cms-testimonial-carousel');
$atts['html_id'] = $html_id;
$animation_tmp = isset($animation) ? $animation : '';
$animation_classes = $this->getCSSAnimation( $animation_tmp );
extract(arctecture_get_param_carousel($atts));
$testimonials = (array) vc_param_group_parse_atts($testimonial_item);

if(!empty($testimonials)) : ?>

    <div id="<?php echo esc_attr($atts['html_id']);?>" class="cms-testimonial-carousel owl-carousel <?php echo esc_attr( $el_class.' '.$animation_classes ); ?>" <?php echo !empty($carousel_data) ?  esc_attr($carousel_data) : '' ?>>
        <?php foreach ($testimonials as $key => $value) {
            $title = isset($value['title']) ? $value['title'] : ''; 
            $content = isset($value['content']) ? $value['content'] : ''; 
            $position = isset($value['position']) ? $value['position'] : '';
            ?>
            <div class="cms-testimonial-item">
                <div class="cms-icon" <?php if(!empty($icon_color)):?> style="color: <?php echo esc_attr($icon_color);?>"<?php endif;?>>
                    <i class="fa fa-quote-right"></i>
                </div>
                <?php if(!empty($content)):?>
                    <div class="cms-content" style="color: <?php echo esc_attr( $content_color ); ?>">   <?php echo '"'.esc_html($content).'"'; ?>
                    </div>
                <?php endif;?>
                <?php if(!empty($title) || $position):?>
                    <h3 class="cms-title" style="color: <?php echo esc_attr( $title_color ); ?>">
                        <?php echo esc_html($title); ?>
                        <?php if(!empty($position)):?> <span class="cms-position" <?php if(!empty($position_color)):?> style="color: <?php echo esc_attr( $position_color ); ?>"<?php endif;?>> - <?php echo esc_html($position); ?></span>
                        <?php endif;?>
                    </h3>
                <?php endif;?>
            </div>
        <?php } ?>
    </div>

<?php endif;?>