jQuery(document).ready(function($){
	// the element inside of which we want to scroll
        var $elem = $('#content');

        // show the buttons
	$('.cms-icon-top').fadeIn('slow');
	$('.cms-icon-bottom').fadeIn('slow');  

        // whenever we scroll fade out both buttons
	$(window).bind('scrollstart', function(){
		$('.cms-icon-top,.cms-icon-bottom').stop().animate({'opacity':'0.2'});
	});
        // ... and whenever we stop scrolling fade in both buttons
	$(window).bind('scrollstop', function(){
		$('.cms-icon-top,.cms-icon-bottom').stop().animate({'opacity':'1'});
	});

        // clicking the "down" button will make the page scroll to the $elem's height
	$('.cms-icon-bottom').click(
		function (e) {
			$('html, body').animate({scrollTop: $elem.height()}, 800);
		}
	);
        // clicking the "up" button will make the page scroll to the top of the page
	$('.cms-icon-top').click(
		function (e) {
			$('html, body').animate({scrollTop: '0px'}, 800);
		}
	);
	$('.tenclassclick').on('click',function (e) {
	   var _link = $(this).attr('href');
	   var _id_data = e.currentTarget.hash;
	   if($(_id_data).length === 1){
	       var _target = $(_id_data);
	       $('html, body').stop().animate({
	           'scrollTop': _target.offset().top-100
	       }, 1000, function () {
	           window.location.hash = _id_data;
	       });
	   }else{
	       window.location.href = _link;
	   }

	});
 });