<?php

$titles = arctecture_get_page_titles();
$subpagetitle = arctecture_get_page_sub_titles();
$ptitle_off  = arctecture_get_page_opt( 'ptitle_off', false );
ob_start();

if ( $titles['title'] && !is_singular( 'product' ))
{
    printf( '<h1 class="page-title">%s</h1>', esc_attr( $titles['title']) );
}

if ( $subpagetitle )
{
    printf( '<p class="sub-title">%s</p>', esc_attr( $subpagetitle ) );
}

if ( ( get_post_meta( get_the_ID(), 'breadcrumb_on', true ) ) && arctecture_get_opt( 'breadcrumb_on', false ))
{
    arctecture_breadcrumb();
}

$titles_html = ob_get_clean();

if ( ! $titles_html )
{
    return;
} ?>
<div id="pagetitle" class="page-title bg-overlay">
    <div class="container page-title-container">
    	<?php if( $ptitle_off == false ):?>
        <?php printf( '<div class="page-title-content clearfix">%s</div>', wp_kses_post($titles_html)); ?>
    	<?php endif;?>
    </div>
</div>
