<?php
vc_map(array(
    "name" => 'Banner',
    "base" => "cms_banner",
    "icon" => "cs_icon_for_vc",
    "category" => esc_html__('Theme Shortcodes', 'arctecture'),
    "params" => array(
        /* Textbox Template */
        array(
            'type' => 'cms_template_img',
            'param_name' => 'cms_template',
            "shortcode" => "cms_banner",
            "heading" => esc_html__("Shortcode Template", 'arctecture'),
            "admin_label" => true,
            "group" => esc_html__("Template", 'arctecture'),
        ),
        /* Title */
        array(
            'type' => 'attach_image',
            "heading" => esc_html__("Image", 'arctecture'),
            "param_name" => "bg_banner_image",
            'description' => esc_html__( 'Select image from media library.', 'arctecture' ),
            "value" => "", 
            "group" => esc_html__("Banner", 'arctecture'),
        ),
        array(
            "type" => "colorpicker",
            "heading" => esc_html__("Background Overlay", 'arctecture'),
            "param_name" => "bg_overlay",
            "value" => "",
            "group" => esc_html__("Banner", 'arctecture'),
        ),
    )
));

class WPBakeryShortCode_cms_banner extends CmsShortCode
{
    protected function content($atts, $content = null)
    {
        return parent::content($atts, $content);
    }
}

?>