<?php
vc_map(array(
    "name" => 'Counter',
    "base" => "cms_counter",
    "icon" => "cs_icon_for_vc",
    "category" => esc_html__('Theme Shortcodes', 'arctecture'),
    "params" => array(

        /* Template */
        array(
            'type' => 'cms_template_img',
            'param_name' => 'cms_template',
            "shortcode" => "cms_counter",
            "heading" => esc_html__("Shortcode Template", 'arctecture'),
            "admin_label" => true,
            "group" => esc_html__("Template", 'arctecture'),
        ),

        /* Title */
        array(
            "type" => "textfield",
            "heading" => esc_html__("Title", 'arctecture'),
            "param_name" => "title",
            "description" => "Enter title.",
            "group" => esc_html__("Title", 'arctecture'),
        ),
        array(
            "type" => "colorpicker",
            "heading" => esc_html__("Color", 'arctecture'),
            "param_name" => "title_color",
            "value" => "",
            "group" => esc_html__("Title", 'arctecture'),
        ),
        

        /* Digit */
        array(
            "type" => "textfield",
            "heading" => esc_html__("Digit", 'arctecture'),
            "param_name" => "digit",
            "description" => "Enter digit.",
            "group" => esc_html__("Digit", 'arctecture'),
        ),
        array(
            "type" => "colorpicker",
            "heading" => esc_html__("Color", 'arctecture'),
            "param_name" => "digit_color",
            "value" => "",
            "group" => esc_html__("Digit", 'arctecture'),
        ),

        array(    
            'type' => 'dropdown',
            'heading' => esc_html__("Use Grouping", 'arctecture'),
            'param_name' => 'grouping',
            'value' => array(
                'No' => '0',        
                'Yes' => '1',        
            ),
            "group" => esc_html__("Digit", 'arctecture'),
        ),  
        array(
            "type" => "textfield",
            "heading" => esc_html__("Separator", 'arctecture'),
            "param_name" => "separator",
            "group" => esc_html__("Digit", 'arctecture'),
            "dependency" => array(
                "element"=>"grouping",
                "value"=>array(
                    "1",
                )
            ),
        ),

        /* Extra */
        array(
            "type" => "textfield",
            "heading" => esc_html__( "Extra class name", "arctecture" ),
            "param_name" => "el_class",
            "description" => esc_html__( "Style particular content element differently - add a class name and refer to it in Custom CSS.", "arctecture" ),
            "group"            => esc_html__("Extra", "arctecture")
        ),
        array(
            'type' => 'animation_style',
            'heading' => esc_html__( 'Animation Style', 'arctecture' ),
            'param_name' => 'animation',
            'description' => esc_html__( 'Choose your animation style', 'arctecture' ),
            'admin_label' => false,
            'weight' => 0,
            "group" => esc_html__("Extra", 'arctecture'),
        )
    )
));

class WPBakeryShortCode_cms_counter extends CmsShortCode
{

    protected function content($atts, $content = null)
    {
        return parent::content($atts, $content);
    }
}

?>