<?php
vc_map(array(
    "name" => 'Heading',
    "base" => "cms_heading",
    "icon" => "cs_icon_for_vc",
    "category" => esc_html__('Theme Shortcodes', 'arctecture'),
    "params" => array(
        array(
            "type" => "textarea",
            "heading" => esc_html__( 'Text', 'arctecture' ),
            "param_name" => "text",
            "value" => '',
            'admin_label' => true,
            "group"      => esc_html__("Title", "arctecture"),
        ),
        array(    
            'type' => 'dropdown',
            'heading' => esc_html__("Element tag", 'arctecture'),
            'param_name' => 'tag',
            'value' => array(
                'h1' => 'h1',
                'h2' => 'h2',
                'h3' => 'h3',
                'h4' => 'h4',
                'h5' => 'h5',
                'h6' => 'h6',
                'p' => 'p',
                'div' => 'div',
            ),
            'std' => 'h3',
            "group"      => esc_html__("Title", "arctecture"),
        ),
        array(    
            'type' => 'dropdown',
            'heading' => esc_html__("Text align large", 'arctecture'),
            'param_name' => 'align_lg',
            'value' => array(  
                'left' => 'align-left',                       
                'right' => 'align-right',
                'center' => 'align-center',         
            ),
            "edit_field_class" => "vc_col-sm-3 vc_column",
            "group"      => esc_html__("Title", "arctecture"),
        ),
        array(    
            'type' => 'dropdown',
            'heading' => esc_html__("Text align medium", 'arctecture'),
            'param_name' => 'align_md',
            'value' => array(  
                'left' => 'align-left-md',                       
                'right' => 'align-right-md',
                'center' => 'align-center-md',         
            ),
            "edit_field_class" => "vc_col-sm-3 vc_column",
            "group"      => esc_html__("Title", "arctecture"),
        ),
        array(    
            'type' => 'dropdown',
            'heading' => esc_html__("Text align small", 'arctecture'),
            'param_name' => 'align_sm',
            'value' => array(                       
                'left' => 'align-left-sm',                       
                'right' => 'align-right-sm',
                'center' => 'align-center-sm',         
            ),
            "edit_field_class" => "vc_col-sm-3 vc_column",
            "group"      => esc_html__("Title", "arctecture"),
        ),
        array(    
            'type' => 'dropdown',
            'heading' => esc_html__("Text align mini", 'arctecture'),
            'param_name' => 'align_xs',
            'value' => array(  
                'left' => 'align-left-xs',                       
                'right' => 'align-right-xs',
                'center' => 'align-center-xs',         
            ),
            "edit_field_class" => "vc_col-sm-3 vc_column",
            "group"      => esc_html__("Title", "arctecture"),
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Margin top", 'arctecture'),
            "param_name" => "margin_top",
            "description" => "Enter: ..px",
            "edit_field_class" => "vc_col-sm-3 vc_column",
            "group"      => esc_html__("Title", "arctecture"),
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Margin right", 'arctecture'),
            "param_name" => "margin_right",
            "description" => "Enter: ..px",
            "edit_field_class" => "vc_col-sm-3 vc_column",
            "group"      => esc_html__("Title", "arctecture"),
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Margin bottom", 'arctecture'),
            "param_name" => "margin_bottom",
            "description" => "Enter: ..px",
            "edit_field_class" => "vc_col-sm-3 vc_column",
            "group"      => esc_html__("Title", "arctecture"),
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__("Margin left", 'arctecture'),
            "param_name" => "margin_left",
            "description" => "Enter: ..px",
            "edit_field_class" => "vc_col-sm-3 vc_column",
            "group"      => esc_html__("Title", "arctecture"),
        ),

        array(
            "type" => "textfield",
            "heading" => esc_html__( 'Font size large', 'arctecture' ),
            "param_name" => "font_size",
            "value" => '',
            "description" => "Enter: ..px",
            "edit_field_class" => "vc_col-sm-3 vc_column",
            "group"      => esc_html__("Title", "arctecture"),
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__( 'Font size medium', 'arctecture' ),
            "param_name" => "font_size_md",
            "value" => '',
            "description" => "Enter: ..px",
            "edit_field_class" => "vc_col-sm-3 vc_column",
            "group"      => esc_html__("Title", "arctecture"),
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__( 'Font size small', 'arctecture' ),
            "param_name" => "font_size_sm",
            "value" => '',
            "description" => "Enter: ..px",
            "edit_field_class" => "vc_col-sm-3 vc_column",
            "group"      => esc_html__("Title", "arctecture"),
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__( 'Font size mini', 'arctecture' ),
            "param_name" => "font_size_xs",
            "value" => '',
            "description" => "Enter: ..px",
            "edit_field_class" => "vc_col-sm-3 vc_column",
            "group"      => esc_html__("Title", "arctecture"),
        ),

        array(
            "type" => "textfield",
            "heading" => esc_html__( 'Line height large', 'arctecture' ),
            "param_name" => "line_height",
            "value" => '',
            "description" => "Enter: ..px",
            "edit_field_class" => "vc_col-sm-3 vc_column",
            "group"      => esc_html__("Title", "arctecture"),
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__( 'Line height medium', 'arctecture' ),
            "param_name" => "line_height_md",
            "value" => '',
            "description" => "Enter: ..px",
            "edit_field_class" => "vc_col-sm-3 vc_column",
            "group"      => esc_html__("Title", "arctecture"),
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__( 'Line height small', 'arctecture' ),
            "param_name" => "line_height_sm",
            "value" => '',
            "description" => "Enter: ..px",
            "edit_field_class" => "vc_col-sm-3 vc_column",
            "group"      => esc_html__("Title", "arctecture"),
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__( 'Line height mini', 'arctecture' ),
            "param_name" => "line_height_xs",
            "value" => '',
            "description" => "Enter: ..px",
            "edit_field_class" => "vc_col-sm-3 vc_column",
            "group"      => esc_html__("Title", "arctecture"),
        ),
        array(    
            'type' => 'dropdown',
            'heading' => esc_html__("Font Weight", 'arctecture'),
            'param_name' => 'font_weight',
            'value' => array(
                'SemiBold' => '600',
                'Normal' => '400',
                'Medium' => '500',
                'Bold' => '700',
            ),
            'std' => '600',
            "group"      => esc_html__("Title", "arctecture"),
        ),
        array(    
            'type' => 'dropdown',
            'heading' => esc_html__("Text Transform", 'arctecture'),
            'param_name' => 'text_transform',
            'value' => array(
                'Normal' => 'none',
                'Uppercase' => 'uppercase',
                'Lowercase' => 'lowercase',
                'Capitalize' => 'capitalize',
                'Unset' => 'unset'
            ),
            "group"      => esc_html__("Title", "arctecture"),
        ),
        array(    
            'type' => 'dropdown',
            'heading' => esc_html__("Border Bottom", 'arctecture'),
            'param_name' => 'border_bottom',
            'value' => array(
                'None' => 'bd-none',
                'Border Primary Color Center' => 'bd-style1',
                'Border Primary Color Left' => 'bd-style1 bd-style1-left',
                'Border Primary Color Right' => 'bd-style1 bd-style1-right',
                'Border White color ' => 'bd-style2',
            ),
            "group"      => esc_html__("Title", "arctecture"),
        ),
        // array(    
        //     "type" => "colorpicker",
        //     'heading' => esc_html__("Border Color Bottom", 'arctecture'),
        //     'param_name' => 'border_color_bottom',
        //     "description" => "Only apply for: Border White color",
        //     "value" => "",
        //     "group"      => esc_html__("Title", "arctecture"),
        // ),
        array(
            "type" => "textfield",
            "heading" => esc_html__( 'Letter Spacing', 'arctecture' ),
            "param_name" => "letter_spacing",
            "value" => '',
            "description" => "Enter: ..px, ...em",
            "group"      => esc_html__("Title", "arctecture"),
        ),
        array(
            "type" => "colorpicker",
            "heading" => esc_html__("Text Color", 'arctecture'),
            "param_name" => "text_color",
            "value" => "",
            "group"      => esc_html__("Title", "arctecture"),
        ),
        array(    
            'type' => 'dropdown',
            'heading' => esc_html__("Custom Google Fonts", 'arctecture'),
            'param_name' => 'custom_fonts',
            'value' => array(
                'No' => 'false',       
                'Yes' => 'true',       
            ),
            "group"      => esc_html__("Title", "arctecture"),
        ),  
        array(
            'type' => 'google_fonts',
            'param_name' => 'google_fonts',
            'value' => 'font_family:Abril%20Fatface%3Aregular|font_style:400%20regular%3A400%3Anormal',
            'settings' => array(
                'fields' => array(
                    'font_family_description' => esc_html__( 'Select font family.', 'arctecture' ),
                    'font_style_description' => esc_html__( 'Select font styling.', 'arctecture' ),
                ),
            ),
            "dependency" => array(
                "element"=>"custom_fonts",
                "value"=>array(
                    "true",
                )
            ),
            "group"      => esc_html__("Title", "arctecture"),
        ),
        /* Sub Title */
        array(
            "type" => "textfield",
            "heading" => esc_html__("Sub Title", 'arctecture'),
            "param_name" => "sub_title",
            "group"      => esc_html__("Sub Title", "arctecture"),
        ),
        array(
            "type" => "colorpicker",
            "heading" => esc_html__("Sub Title Color", 'arctecture'),
            "param_name" => "sub_title_color",
            "value" => "",
            "description" => "Default is Primary Color",
            "group"      => esc_html__("Sub Title", "arctecture"),
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__( 'Font size', 'arctecture' ),
            "param_name" => "sub_font_size",
            "value" => '',
            "description" => "Enter: ..px",
            "group"      => esc_html__("Sub Title", "arctecture"),
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__( 'Letter Spacing', 'arctecture' ),
            "param_name" => "sub_letter_spacing",
            "value" => '',
            "description" => "Enter: ..px, ...em",
            "group"      => esc_html__("Sub Title", "arctecture"),
        ),
        array(    
            'type' => 'dropdown',
            'heading' => esc_html__("Text Transform", 'arctecture'),
            'param_name' => 'sub_transform',
            'value' => array(
                'Normal' => 'none',
                'Uppercase' => 'uppercase',
                'Lowercase' => 'lowercase',
                'Capitalize' => 'capitalize',
                'Unset' => 'unset'
            ),
           "group"      => esc_html__("Sub Title", "arctecture"),
        ),
        array(    
            'type' => 'dropdown',
            'heading' => esc_html__("Font Weight", 'arctecture'),
            'param_name' => 'sub_font_weight',
            'value' => array(
                '200'   => '200',
                '300'   => '300',
                '400' => '400',
                '500' => '500',
                '600' => '600',
                '700' => '700',
            ),
            'std' => '600',
            "group"      => esc_html__("Sub Title", "arctecture"),
        ),
        /* Description */
        array(
            "type" => "textarea",
            "heading" => esc_html__( 'Description', 'arctecture' ),
            "param_name" => "description",
            "value" => '',
            "group"      => esc_html__("Description", "arctecture"),
        ),
        array(    
            'type' => 'dropdown',
            'heading' => esc_html__("Max Width", 'arctecture'),
            'param_name' => 'description_m_width',
            'value' => array(  
                'No' => 'h-full-width',                       
                'Yes' => 'h-boxed',         
            ),
            "group"      => esc_html__("Description", "arctecture"),
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__( 'Font Size', 'arctecture' ),
            "param_name" => "description_font_size",
            "value" => '',
            "description" => "Enter: ..px",
            "group"      => esc_html__("Description", "arctecture"),
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__( 'Line Height', 'arctecture' ),
            "param_name" => "description_line_height",
            "value" => '',
            "description" => "Enter: ..px",
            "group"      => esc_html__("Description", "arctecture"),
        ),
        array(
            "type" => "colorpicker",
            "heading" => esc_html__("Color", 'arctecture'),
            "param_name" => "description_color",
            "value" => "",
            "group"      => esc_html__("Description", "arctecture"),
        ),
        /* Extra */
        array(
            "type" => "textfield",
            "heading" => esc_html__( "Extra class name", "arctecture" ),
            "param_name" => "el_class",
            "description" => esc_html__( "Style particular content element differently - add a class name and refer to it in Custom CSS.", "arctecture" ),
            "group"      => esc_html__("Extra", "arctecture"),
        ),
        array(
            'type' => 'animation_style',
            'heading' => esc_html__( 'Animation Style', 'arctecture' ),
            'param_name' => 'animation',
            'description' => esc_html__( 'Choose your animation style', 'arctecture' ),
            'admin_label' => false,
            'weight' => 0,
            "group" => esc_html__("Extra", 'arctecture'),
        ) 
    )
));

class WPBakeryShortCode_cms_heading extends CmsShortCode
{

    protected function content($atts, $content = null)
    {
        $html_id = cmsHtmlID('cms-heading');
        $atts['html_id'] = $html_id;
        return parent::content($atts, $content);
    }
}

?>