<?php
$args = array(
    "name" => 'Testimonial Carousel',
    "base" => "cms_testimonial_carousel",
    "icon" => "cs_icon_for_vc",
    "category" => esc_html__('Theme Shortcodes', 'arctecture'),
    "params" => array(

        /* Template */
        array(
            'type' => 'cms_template_img',
            'param_name' => 'cms_template',
            "shortcode" => "cms_testimonial_carousel",
            "heading" => esc_html__("Shortcode Template", 'arctecture'),
            "admin_label" => true,
            "group" => esc_html__("Template", 'arctecture'),
            'std' => 'cms_testimonial_carousel.php'
        ),
        array(
            "type" => "textfield",
            "heading" => esc_html__( "Extra class name", "arctecture" ),
            "param_name" => "el_class",
            "description" => esc_html__( "Style particular content element differently - add a class name and refer to it in Custom CSS.", "arctecture" ),
            "group"            => esc_html__("Template", "arctecture")
        ),
        array(
            'type' => 'animation_style',
            'heading' => esc_html__( 'Animation Style', 'arctecture' ),
            'param_name' => 'animation',
            'description' => esc_html__( 'Choose your animation style', 'arctecture' ),
            'admin_label' => false,
            'weight' => 0,
            "group" => esc_html__("Template", 'arctecture'),
        ),
        
        array(
            'type' => 'param_group',
            "heading" => esc_html__( 'Testimonial Item', 'arctecture' ),
            'value' => '',
            'param_name' => 'testimonial_item',
            'params' => array(
                array(
                    "type" => "textfield",
                    "heading" =>esc_html__("Title", 'arctecture'),
                    "param_name" => "title",
                    'admin_label' => true,
                ), 
                array(
                    "type" => "textfield",
                    "heading" =>esc_html__("Position", 'arctecture'),
                    "param_name" => "position",

                ), 
                array(
                    "type" => "textarea",
                    "heading" => esc_html__("Content", 'arctecture'),
                    "param_name" => "content",
                ),
            ),
        ),
        array(
            "type" => "colorpicker",
            "heading" => esc_html__("Icon Color", 'arctecture'),
            'description' => esc_html__( 'Select color for Icon; Color Default #333333', 'arctecture' ),
            "param_name" => "icon_color",
            "value" => "",
        ),
        array(
            "type" => "colorpicker",
            "heading" => esc_html__("Title Color", 'arctecture'),
            "param_name" => "title_color",
            "value" => "",
        ),
        array(
            "type" => "colorpicker",
            "heading" => esc_html__("Position Color", 'arctecture'),
            "param_name" => "position_color",
            "value" => "",
        ),
        array(
            "type" => "colorpicker",
            "heading" => esc_html__("Content Color", 'arctecture'),
            "param_name" => "content_color",
            "value" => "",
        ),

    ));

$args = arctecture_add_vc_extra_param($args);
vc_map($args);

class WPBakeryShortCode_cms_testimonial_carousel extends CmsShortCode
{

    protected function content($atts, $content = null)
    {
        return parent::content($atts, $content);
    }
}

?>