<?php
extract(shortcode_atts(array(
    //Lable
    'label'=> '',
    'label_color' =>'',
    'label_size'  => '',
    //Row Info
    'cms_row' => '',
    'cms_row_item' => '',
    'cms_row_color' => '',
    'cms_row_fontsize' => '',
    'cms_row_mb_bottom' => '', 

), $atts));

$styles_title = array(
    'color'          => $label_color,
    'font-size'      => $label_size,
);
$title_styles = '';
foreach ($styles_title as $key => $value) {
    if (!empty($value)) {
        $title_styles .= $key . ':' . $value . ';';
    }
}

$styles_row = array(
    'color'          => $cms_row_color,
    'font-size'      => $cms_row_fontsize,
    'margin-bottom'     => $cms_row_mb_bottom,
);
$row_styles = '';
foreach ($styles_row as $key => $value) {
    if (!empty($value)) {
        $row_styles .= $key . ':' . $value . ';';
    }
}

$cms_rows = array();
$cms_rows = (array) vc_param_group_parse_atts($cms_row);

?>
<div class="cms-info">
    <div class="cms-info-inner">
        <?php if(!empty($label)) : ?>
            <span class="cms-label" <?php echo !empty( $title_styles ) ? 'style="' . esc_attr($title_styles) . '"' : '' ?>>
                <?php echo wp_kses_post( $label ); ?>
            </span>
        <?php endif;?>
        <ul <?php echo !empty( $row_styles ) ? 'style="' . esc_attr($row_styles) . '"' : '' ?>>
            <?php foreach ($cms_rows as $key => $value) { ?>
                <?php if(!empty($value['cms_row_item'])):?><li><?php echo esc_html($value['cms_row_item']); ?></li><?php endif;?>
            <?php } ?>
        </ul>
    </div>
</div>